package com.ectrip.cyt;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.bind.annotation.CrossOrigin;

@SpringBootApplication(exclude={DataSourceAutoConfiguration.class})
@EnableAspectJAutoProxy//开启AOP
@EnableTransactionManagement//开启事务
@CrossOrigin//跨域
@EnableScheduling
//不链接数据库
public class CytApplication {

    public static void main(String[] args) {
        SpringApplication.run(CytApplication.class, args);
    }

}
