package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoticeOrderEticketSendedRequestBody", propOrder = {"orderInfo"})
@Data
public class NoticeOrderEticketSendedRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public NoticeOrderEticketSendedRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId", "eticketNo", "eticketSended"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String eticketNo;
        @XmlElement(required = true)
        protected String eticketSended;
        
        public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.eticketNo = "";
			this.eticketSended = "";
		}
    }
}
