package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VerifyConsumeRequestBody", propOrder = {"orderInfo"})
@Data
public class VerifyConsumeRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;
    
    public VerifyConsumeRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"otaOrderId", "cytOrderId", "orderQuantity", "token", "posid", "verifyConsumeInfo"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String otaOrderId;
        @XmlElement(required = true)
        protected String cytOrderId;
        @XmlElement(required = true)
        protected String orderQuantity;
        @XmlElement(required = true)
        protected String token;
        @XmlElement(required = true)
        protected String posid;
        @XmlElement(required = true)
        protected String verifyConsumeInfo;     
        
        public OrderInfo() {
			super();
			this.otaOrderId = "";
			this.cytOrderId = "";
			this.orderQuantity = "";
			this.token = "";
			this.posid = "";
			this.verifyConsumeInfo = "";
		}
    }
}
