package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetProductByOTAResponseBody", propOrder = {"pois"})
@Data
public class GetAvailableProductResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected Pois pois;

    public GetAvailableProductResponseBody() {
        super();
        this.pois = new Pois();
    }

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"poi"})
    @Data
    public static class Pois {
        protected List<Poi> poi;

        public Pois(){
            this.poi=new ArrayList<>();
        }

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"poiId","poiName","poiDescription","poiLevel","poiMobile","addressProvince","addressCity","addressDistrict","poiAddress","poiLongitudeAndlatitude","poiOpenTime","poiImages","products"})
        @Data
        public static class Poi {
            protected String poiId;
            protected String poiName;
            protected String poiDescription;
            protected String poiLevel;
            protected String poiMobile;
            protected String addressProvince;
            protected String addressCity;
            protected String addressDistrict;
            protected String poiAddress;
            protected String poiLongitudeAndlatitude;
            protected String poiOpenTime;
            protected List<String> poiImages;
            protected Products products;

            public Poi(){
                this.poiId = "";
                this.poiName = "";
                this.poiDescription = "";
                this.poiLevel = "";
                this.poiMobile = "";
                this.addressProvince = "";
                this.addressCity = "";
                this.addressDistrict = "";
                this.poiAddress = "";
                this.poiLongitudeAndlatitude = "";
                this.poiOpenTime = "";
                this.poiImages=new ArrayList<>();
                this.products=new Products();
            }

            @Data
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {"product"})
            public static class Products {
                protected List<Product> product;

                public Products(){
                    this.product=new ArrayList<>();
                }

                @Data
                @XmlAccessorType(XmlAccessType.FIELD)
                @XmlType(name = "", propOrder = {"resourceId", "productName"})
                public static class Product {
                    protected String resourceId;
                    protected String productName;

                    public Product(){
                        this.resourceId = "";
                        this.productName = "";
                    }
                }
            }

        }
    }
}
