package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetBalanceResponseBody", propOrder = {"supplierBalances"})
@Data
public class GetBalanceResponseBody extends ResponseBody {
    protected SupplierBalances supplierBalances;

    public GetBalanceResponseBody() {
        super();
        this.supplierBalances = new SupplierBalances();
    }

    @Data
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "",propOrder = {"supplierBalance"})
    public static class SupplierBalances {
        protected List<SupplierBalance> supplierBalance;

        public SupplierBalances(){
            this.supplierBalance=new ArrayList<>();
        }

        @Data
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "",propOrder = {"name","supplierIdentity","fundType","balance"})
        public static class SupplierBalance {
            protected String name;
            protected String supplierIdentity;
            protected String fundType;
            protected String balance;

            public SupplierBalance() {
                this.name = "";
                this.supplierIdentity = "";
                this.fundType = "";
                this.balance = "";
            }
        }
    }
}
