package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PushOrderResponseBody", propOrder = {"orderInfo"})
@Data
public class PushOrderResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;
    
    public PushOrderResponseBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId","partnerOrderId"})
    @Data
    public static class OrderInfo {
        public String getPartnerorderId() {
            return partnerorderId;
        }

        public void setPartnerorderId(String partnerorderId) {
            this.partnerorderId = partnerorderId;
        }

        public String getPartnerOrderId() {
            return partnerOrderId;
        }

        public void setPartnerOrderId(String partnerOrderId) {
            this.partnerOrderId = partnerOrderId;
        }

        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String partnerOrderId;

        public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.partnerOrderId = "";
		}
    }
}
