package com.ectrip.cyt.model;

import com.ectrip.cyt.model.param.CancelOrderParam;
import com.ectrip.cyt.model.param.PayOrderParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "取消订单参数")
public class CancelOrderRequest extends Request {
    @Valid
    @NotNull(message = "必须传入取消订单参数")
    private CancelOrderParam cancelOrder;
}
