package com.ectrip.cyt.model;

import com.ectrip.cyt.model.param.CreateOrderParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "下单请求参数")
public class CreateOrderRequest extends Request {
    @Valid
    @NotNull(message = "必须传入下单参数")
    private CreateOrderParam createOrder;
}
