package com.ectrip.cyt.model;

import com.ectrip.cyt.model.param.GetSeatParam;
import com.ectrip.cyt.model.param.GetStockParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "获取座位参数")
public class GetSeatRequset extends Request {
    @Valid
    @NotNull(message = "必须传入座位参数")
    private GetSeatParam getSeatParam;
}
