package com.ectrip.cyt.model;

import com.ectrip.cyt.model.param.PayOrderParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "支付订单参数")
public class PayOrderRequest extends Request {
    @Valid
    @NotNull(message = "必须传入支付订单参数")
    private PayOrderParam payOrder;
}
