package com.ectrip.cyt.model;

import com.ectrip.cyt.model.param.RefundOrderParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "退订请求参数")
public class RefundOrderRequest extends Request {
    @Valid
    @NotNull(message = "必须传入退订参数")
    private RefundOrderParam refundOrder;
}
