package com.ectrip.cyt.model;

import com.ectrip.cyt.model.param.CreateOrderParam;
import com.ectrip.cyt.model.param.SendOrderEticketParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "重发短信")
public class SendOrderEticketRequest extends Request {
    @Valid
    @NotNull(message = "必须传入下单参数")
    private SendOrderEticketParam param;
}
