package com.ectrip.cyt.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "取消订单参数")
public class CancelOrderParam {
    @ApiModelProperty(value = "畅游通订单号", required = true)
    private String cytOrderCode;

    @ApiModelProperty(value = "OTA订单号", required = true)
    private String otaOrderCode;
}
