package com.ectrip.cyt.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Range;
import org.omg.PortableInterceptor.INACTIVE;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "获取产品参数")
public class GetProductParam {
    //获取产品方法 全部ALL 单个SINGLE
    //@NotBlank(message = "获取产品方法不能为空")
    /*@ApiModelProperty(value = "获取产品方法 全部ALL 单个SINGLE", required = true)
    private String method;*/

    //分页数
    //@Min(value = 1,message = "分页数必须大于或等于1")
    @ApiModelProperty(value = "分页数", required = true)
    private Integer currentPage;
    //分页大小

    //@Range(min=1,max=5,message ="分页大小不在[1,5]內")
    @ApiModelProperty(value = "分页大小(最大5条)", required = true)
    private Integer pageSize;
    //产品ID
    @ApiModelProperty(value = "产品ID 获取产品方法为SINGLE必填", required = false)
    private String resourceId;
}
