package com.ectrip.cyt.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "查询订单参数")
public class QueryOrderParam {
    @ApiModelProperty(value = "畅游通订单号(二选一 优先级)", required = false)
    private String cytOrderCode;

    @ApiModelProperty(value = "OTA订单号(二选一)", required = false)
    private String orderCode;

}
