package com.ectrip.cyt.model.param;

import com.ectrip.cyt.model.pojo.Person;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Range;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "重发短信参数")
public class SendOrderEticketParam {
    @NotBlank(message = "畅游通订单号不能为空")
    @ApiModelProperty(value = "畅游通订单号", required = true)
    private String cytOrderCode;
    /** 游客电话 */
    @ApiModelProperty(value = "电话号", required = false)
    private String phone;
}
