package com.ectrip.cyt.model.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "联系人/游客信息")
public class EditPerson implements Serializable {
    /** 游客证件号码 */
    @ApiModelProperty(value = "原游客证件号码", required = true)
    private String credentials;

    /** 游客姓名 */
    @ApiModelProperty(value = "修改后的游客姓名", required = false)
    private String editName;

    /** 游客电话 */
    @ApiModelProperty(value = "修改后的游客电话 ", required = false)
    private String editPhone;

    /** 游客证件号码 */
    @ApiModelProperty(value = "修改后的游客证件号码", required = false)
    private String editCredentials;
}
