package com.ectrip.cyt.client.cyt.model;

import java.util.Map;

/**
 * OTA基本交互数据类型实体
 * Created by lingkitho on 2017/4/27.
 */
public class OtaBase {
    private String data;//base64的xml加密串
    private String xmlData;//解密后的xml字符串
    private Map<String, Object> mapData;//处理后的map对象

    private String signed;//签名, MD5(signkey + data)
    private String securityType = "MD5";

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getSigned() {
        return signed;
    }

    public void setSigned(String signed) {
        this.signed = signed;
    }

    public String getSecurityType() {
        return securityType;
    }

    public void setSecurityType(String securityType) {
        this.securityType = securityType;
    }

    public String getXmlData() {
        return xmlData;
    }

    public void setXmlData(String xmlData) {
        this.xmlData = xmlData;
    }

    public Map<String, Object> getMapData() {
        return mapData;
    }

    public void setMapData(Map<String, Object> mapData) {
        this.mapData = mapData;
    }
}
