package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetProductByOTARequestBody", propOrder = {"method", "currentPage", "pageSize", "resourceId"})
@Data
public class GetProductByOTARequestBody extends RequestBody {
    @XmlElement(required = true)
    protected String method;
    @XmlElement(required = true)
    protected String currentPage;
    @XmlElement(required = true)
    protected String pageSize;
    @XmlElement(required = true)
    protected String resourceId;
    @XmlElement(required = true)
    protected String queryStartDay;
    @XmlElement(required = true)
    protected String queryEndDay;
    
    public GetProductByOTARequestBody() {
		super();
		this.method = "";
		this.currentPage = "";
		this.pageSize = "";
		this.resourceId = "";
        this.queryStartDay = "";
        this.queryEndDay = "";
	}
}
