package com.ectrip.cyt.client.cyt.model.cytOrder.request;
import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetStockProductInfoRequestBody", propOrder = {"startDate", "endDate", "resourceId"})
@Data
public class GetStockProductInfoRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected String startDate;
    @XmlElement(required = true)
    protected String endDate;
    @XmlElement(required = true)
    protected String resourceId;

    public GetStockProductInfoRequestBody() {
		super();
		this.startDate = "";
		this.endDate = "";
		this.resourceId = "";
	}
}
