package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoticeOrderPrintSuccessRequestBody", propOrder = {"orderInfo"})
@Data
public class NoticeOrderModifyRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public NoticeOrderModifyRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId", "otaorderId", "orderStatus","operateData","originalData"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String otaorderId;
        @XmlElement(required = true)
        protected String orderStatus;
        @XmlElement(required = true)
        protected String operateData;
        @XmlElement(required = true)
        protected String originalData;

		public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.otaorderId = "";
			this.orderStatus = "";
            this.operateData = "";
            this.originalData = "";
		}
    }
}
