package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoticeOrderPrintSuccessRequestBody", propOrder = {"orderInfo"})
@Data
public class NoticeOrderReserveRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public NoticeOrderReserveRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId","otaorderId","orderStatus","price","totalQuantity","totalMoney","quantity"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        private String partnerorderId;
        @XmlElement(required = true)
        private String otaorderId;
        @XmlElement(required = true)
        private String orderStatus;
        @XmlElement(required = true)
        private String price;
        @XmlElement(required = true)
        private String totalQuantity;
        @XmlElement(required = true)
        private String totalMoney;
        @XmlElement(required = true)
        private String quantity;

		public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.otaorderId = "";
			this.orderStatus = "";
            this.price = "";
            this.totalQuantity = "";
            this.totalMoney = "";
            this.quantity = "";
		}
    }
}
