package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "queryOtaOrderRequestBody", propOrder = {"orderInfo"})
@Data
public class QueryOtaOrderRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public QueryOtaOrderRequestBody() {
        super();
        this.orderInfo=new OrderInfo();
    }

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"orderId"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String orderId;

        public OrderInfo() {
            super();
            this.orderId = "";
        }
    }
}
