package com.ectrip.cyt.client.cyt.model.cytOrder.request;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SendOrderEticketRequestBody", propOrder = {"orderInfo"})
@Data
public class SendOrderEticketRequestBody extends RequestBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public SendOrderEticketRequestBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerOrderId", "phoneNumber"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String partnerOrderId;
        @XmlElement(required = true)
        protected String phoneNumber;
        
        public OrderInfo() {
			super();
			this.partnerOrderId = "";
			this.phoneNumber = "";
		}
    }
}
