package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CreateOrderResponseBody", propOrder = {"orderInfo"})
@Data
public class CreateOrderResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;
    
    public CreateOrderResponseBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId","partnerOrderId","otaOrderId","orderStatus","qrCodeStr","qrCodeUrl","onlyQrCodeUrl","verifyCode"})
    @Data
    public static class OrderInfo {
        public String getPartnerorderId() {
            return partnerorderId;
        }

        public void setPartnerorderId(String partnerorderId) {
            this.partnerorderId = partnerorderId;
        }

        public String getPartnerOrderId() {
            return partnerOrderId;
        }

        public void setPartnerOrderId(String partnerOrderId) {
            this.partnerOrderId = partnerOrderId;
        }

        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String partnerOrderId;
        @XmlElement(required = true)
        protected String otaOrderId;
        @XmlElement(required = true)
        protected String orderStatus;
        @XmlElement(required = false)
        protected String qrCodeStr;
        @XmlElement(required = false)
        protected String qrCodeUrl;
        @XmlElement(required = false)
        protected String onlyQrCodeUrl;
        @XmlElement(required = false)
        protected String verifyCode;

        public OrderInfo() {
			super();
            this.partnerOrderId = "";
            this.otaOrderId="";
			this.partnerorderId = "";
			this.orderStatus = "";
			this.qrCodeUrl="";
			this.onlyQrCodeUrl="";
			this.qrCodeStr="";
            this.verifyCode = "";
		}
    }

}
