package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetStockProductInfoResponseBody", propOrder = {"resourceId", "timeOfBooks", "stockInfos"})
@Data
public class GetStockProductInfoResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected String resourceId;
    @XmlElement(required = true)
    protected TimeOfBooks timeOfBooks;
    @XmlElement(required = true)
    protected StockInfos stockInfos;

    public GetStockProductInfoResponseBody() {
        super();
        this.resourceId = "";
        this.stockInfos = new StockInfos();
        this.timeOfBooks = new TimeOfBooks();
    }

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"timeOfBook"})
    @Data
    public static class TimeOfBooks {
        @XmlElement(required = true)
        protected List<TimeOfBook> timeOfBook;

        public TimeOfBooks() {
            super();
            this.timeOfBook = new ArrayList<TimeOfBook>();
        }

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"id", "title", "date", "startTime", "endTime", "remainingNumb"})
        @Data
        public static class TimeOfBook {
            @XmlElement(required = true)
            protected String id;
            @XmlElement(required = true)
            protected String title;
            @XmlElement(required = true)
            protected String date;
            @XmlElement(required = true)
            protected String startTime;
            @XmlElement(required = true)
            protected String endTime;
            @XmlElement(required = true)
            protected String remainingNumb;

            public TimeOfBook() {
                super();
                this.id = "";
                this.title = "";
                this.date = "";
                this.startTime = "";
                this.endTime = "";
                this.remainingNumb = "";
            }
        }
    }


    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"stockInfo"})
    @Data
    public static class StockInfos {
        @XmlElement(required = true)
        protected List<StockInfo> stockInfo;

        public StockInfos() {
            this.stockInfo = new ArrayList<>();
        }

        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {"date", "channelStock", "commonStock", "productSaleStock"})
        @Data
        public static class StockInfo {
            @XmlElement(required = true)
            protected String date;
            @XmlElement(required = true)
            protected String channelStock;
            @XmlElement(required = true)
            protected String commonStock;
            @XmlElement(required = true)
            protected String productSaleStock;

            public StockInfo() {
                super();
                this.date = "";
                this.channelStock = "";
                this.commonStock = "";
                this.productSaleStock = "";
            }
        }
    }
}
