package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NoticeOrderRefundedByOTAResponseBody", propOrder = {"orderInfo"})
@Data
public class NoticeOrderRefundedByOTAResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;
    
    public NoticeOrderRefundedByOTAResponseBody() {
		super();
		this.orderInfo = new OrderInfo();
	}

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"partnerorderId", "refundSeq", "refundResult", "refundQuantity", "orderRefundPrice", "orderRefundCharge"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String partnerorderId;
        @XmlElement(required = true)
        protected String refundSeq;
        @XmlElement(required = true)
        protected String refundResult;
        @XmlElement(required = true)
        protected String refundQuantity;
        @XmlElement(required = true)
        protected String orderRefundPrice;
        @XmlElement(required = true)
        protected String orderRefundCharge;
        
        public OrderInfo() {
			super();
			this.partnerorderId = "";
			this.refundSeq = "";
			this.refundResult = "";
			this.refundQuantity = "";
			this.orderRefundPrice = "";
			this.orderRefundCharge = "";
		}
    }
}
