package com.ectrip.cyt.client.cyt.model.cytOrder.response;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "queryOtaOrderRequestBody", propOrder = {"orderInfo"})
@Data
public class QueryOtaOrderResponseBody extends ResponseBody {
    @XmlElement(required = true)
    protected OrderInfo orderInfo;

    public QueryOtaOrderResponseBody() {
        super();
        this.orderInfo=new OrderInfo();
    }

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"orderId", "orderStatus"})
    @Data
    public static class OrderInfo {
        @XmlElement(required = true)
        protected String orderId;
        @XmlElement(required = true)
        protected String orderStatus;

        public OrderInfo() {
            super();
            this.orderId = "";
            this.orderStatus = "";
        }
    }
}
