package com.ectrip.cyt.model;

import com.ectrip.cyt.model.param.GetProductParam;
import com.ectrip.cyt.model.param.GetStockParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "获取产品参数")
public class GetStockRequest extends Request {
    @Valid
    @NotNull(message = "必须传入获取产品参数")
    private GetStockParam getStockParam;
}
