package com.ectrip.cyt.model;

import com.ectrip.cyt.model.param.QueryOrderParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "查询订单参数")
public class QueryOrderRequest extends Request {
    @Valid
    @NotNull(message = "必须传入查询订单参数")
    private QueryOrderParam queryOrder;
}
