package com.ectrip.cyt.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "获取座位参数")
public class GetSeatParam {
    @NotBlank(message = "分时ID不能为空")
    @ApiModelProperty(value = "分时ID", required = false)
    private String timeOfBookId;
}
