package com.ectrip.cyt.model.rt;

import com.ectrip.cyt.model.Request;
import com.ectrip.cyt.model.param.PushOrderParam;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "同步订单参数")
public class PushOrderRequest extends Request {
    @Valid
    @NotNull(message = "必须传入同步订单参数")
    private PushOrderParam pushOrder;
}
