package com.ectrip.cyt.utils;

/**
 * 用作XML转换的头信息参数传递（区分于OTA）
 *
 * @author huhaopeng
 */
public class XmlHeaderParam {
    private String namespaceRequest;
    private String namespaceResponse;
    private String attributeXsi;
    private String attributeXmlns;

    public XmlHeaderParam() {

    }

    public XmlHeaderParam(String namespaceRequest, String namespaceResponse,
                          String attributeXsi, String attributeXmlns) {
        super();
        this.namespaceRequest = namespaceRequest;
        this.namespaceResponse = namespaceResponse;
        this.attributeXsi = attributeXsi;
        this.attributeXmlns = attributeXmlns;
    }


    public String getNamespaceRequest() {
        return namespaceRequest;
    }

    public void setNamespaceRequest(String namespaceRequest) {
        this.namespaceRequest = namespaceRequest;
    }

    public String getNamespaceResponse() {
        return namespaceResponse;
    }

    public void setNamespaceResponse(String namespaceResponse) {
        this.namespaceResponse = namespaceResponse;
    }

    public String getAttributeXsi() {
        return attributeXsi;
    }

    public void setAttributeXsi(String attributeXsi) {
        this.attributeXsi = attributeXsi;
    }

    public String getAttributeXmlns() {
        return attributeXmlns;
    }

    public void setAttributeXmlns(String attributeXmlns) {
        this.attributeXmlns = attributeXmlns;
    }

}

